Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner
Interface Finder

All Known Implementing Classes:
  FGraph, TransitiveGraphCache

    public interface Finder

Minimal interface for preforming simple pattern find operations. Should be implemented by reasoners, caches and related datastructures.

Version:
  $Revision: 1.10 $ on $Date: 2008/01/02 12:07:00 $
Author:
  Dave Reynolds

Method Summary
`boolean` | `contains(TriplePattern pattern)` Return true if the given pattern occurs somewhere in the find sequence.
`ExtendedIterator` | `find(TriplePattern pattern)` Basic pattern lookup interface.
`ExtendedIterator` | `findWithContinuation(TriplePattern pattern, Finder continuation)` Extended find interface used in situations where the implementator may or may not be able to answer the complete query.

Method Detail

### find

    ExtendedIterator find(TriplePattern pattern)

  Basic pattern lookup interface.

  Parameters:
    `pattern` - a TriplePattern to be matched against the data
  Returns:
    a ClosableIterator over all Triples in the data set that match the pattern

### findWithContinuation

    ExtendedIterator findWithContinuation(TriplePattern pattern,
                                          Finder continuation)

  Extended find interface used in situations where the implementator may or may not be able to answer the complete query. It will attempt to answer the pattern but if its answers are not known to be complete then it will also pass the request on to the nested Finder to append more results.

  Parameters:
    `pattern` - a TriplePattern to be matched against the data
    `continuation` - either a Finder or a normal Graph which will be asked for additional match results if the implementor may not have completely satisfied the query.

### contains

    boolean contains(TriplePattern pattern)

  Return true if the given pattern occurs somewhere in the find sequence.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP